VTK: vtkImageIterator< DType > Class Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Protected Attributes | List of all members
vtkImageIterator< DType > Class Template Reference

a simple image iterator More...

`#include <vtkImageIterator.h>`

Inheritance diagram for vtkImageIterator< DType >:
[legend]

## Public Types
typedef DType * | SpanIterator

## Public Member Functions
| vtkImageIterator ()
| Default empty constructor, useful only when creating an array of iterators You need to call Initialize afterward. More...
| vtkImageIterator (vtkImageData *id, int *ext)
| Create an image iterator for a given image data and a given extent. More...
void | Initialize (vtkImageData *id, int *ext)
| Initialize the image iterator for a given image data, and given extent. More...
void | NextSpan ()
| Move the iterator to the next span. More...
SpanIterator | BeginSpan ()
| Return an iterator (pointer) for the span. More...
SpanIterator | EndSpan ()
| Return an iterator (pointer) for the end of the span. More...
vtkTypeBool | IsAtEnd ()
| Test if the end of the extent has been reached. More...

## Protected Attributes
DType * | Pointer
DType * | SpanEndPointer
DType * | SliceEndPointer
DType * | EndPointer
vtkIdType | Increments [3]
vtkIdType | ContinuousIncrements [3]

## Detailed Description

### template<class DType>
class vtkImageIterator< DType >

a simple image iterator

This is a simple image iterator that can be used to iterate over an image. This should be used internally by Filter writers.

See also
  vtkImageData vtkImageProgressIterator

Online Examples:

Tests:
  vtkImageIterator (Tests)

Definition at line 35 of file vtkImageIterator.h.

## Member Typedef Documentation

## ◆ SpanIterator

template<class DType >

typedef DType* vtkImageIterator< DType >::SpanIterator

Definition at line 38 of file vtkImageIterator.h.

## Constructor & Destructor Documentation

## ◆ vtkImageIterator() [1/2]

template<class DType >

vtkImageIterator< DType >::vtkImageIterator | ( |  | ) |

Default empty constructor, useful only when creating an array of iterators You need to call Initialize afterward.

## ◆ vtkImageIterator() [2/2]

template<class DType >

vtkImageIterator< DType >::vtkImageIterator | ( | vtkImageData * | id,
|  | int * | ext
| ) |  |

Create an image iterator for a given image data and a given extent.

## Member Function Documentation

## ◆ Initialize()

template<class DType >

void vtkImageIterator< DType >::Initialize | ( | vtkImageData * | id,
|  | int * | ext
| ) |  |

Initialize the image iterator for a given image data, and given extent.

## ◆ NextSpan()

template<class DType >

void vtkImageIterator< DType >::NextSpan | ( |  | ) |

Move the iterator to the next span.

## ◆ BeginSpan()

template<class DType >

SpanIterator vtkImageIterator< DType >::BeginSpan | ( |  | ) |
| inline

Return an iterator (pointer) for the span.

Definition at line 64 of file vtkImageIterator.h.

## ◆ EndSpan()

template<class DType >

SpanIterator vtkImageIterator< DType >::EndSpan | ( |  | ) |
| inline

Return an iterator (pointer) for the end of the span.

Definition at line 69 of file vtkImageIterator.h.

## ◆ IsAtEnd()

template<class DType >

vtkTypeBool vtkImageIterator< DType >::IsAtEnd | ( |  | ) |
| inline

Test if the end of the extent has been reached.

Definition at line 74 of file vtkImageIterator.h.

## Member Data Documentation

## ◆ Pointer

template<class DType >

DType* vtkImageIterator< DType >::Pointer
| protected

Definition at line 77 of file vtkImageIterator.h.

## ◆ SpanEndPointer

template<class DType >

DType* vtkImageIterator< DType >::SpanEndPointer
| protected

Definition at line 78 of file vtkImageIterator.h.

## ◆ SliceEndPointer

template<class DType >

DType* vtkImageIterator< DType >::SliceEndPointer
| protected

Definition at line 79 of file vtkImageIterator.h.

## ◆ EndPointer

template<class DType >

DType* vtkImageIterator< DType >::EndPointer
| protected

Definition at line 80 of file vtkImageIterator.h.

## ◆ Increments

template<class DType >

vtkIdType vtkImageIterator< DType >::Increments[3]
| protected

Definition at line 81 of file vtkImageIterator.h.

## ◆ ContinuousIncrements

template<class DType >

vtkIdType vtkImageIterator< DType >::ContinuousIncrements[3]
| protected

Definition at line 82 of file vtkImageIterator.h.

The documentation for this class was generated from the following file:

- Common/DataModel/vtkImageIterator.h